package com.xy.dto;

import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 算法平台商品库DTO
 * </p>
 *
 * @author hechunping
 * @since 2023-01-13
 */
public class AlgorithmGoodsDto {

    @Data
    @Accessors(chain = true)
    public static class SelectList extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {
        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;
    }

    @Data
    @Accessors(chain = true)
    public static class Save {

    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "算法平台ID")
        private Long algorithmId;

        @ApiModelProperty(value = "条形码")
        private String barcode;

        @ApiModelProperty(value = "算法平台商品ID")
        private String skuId;

        @ApiModelProperty(value = "商品名称")
        private String skuName;

        @ApiModelProperty(value = "库类型")
        private String skuType;

        @ApiModelProperty(value = "商品图片")
        private String imgUrls;

        @ApiModelProperty(value = "建模商户ID")
        private Long mercId;

        @ApiModelProperty(value = "创建人")
        private Long createUser;

        @ApiModelProperty(value = "创建时间")
        private Date createTime;

        @ApiModelProperty(value = "更新人")
        private Long updateUser;

        @ApiModelProperty(value = "更新时间")
        private Date updateTime;
    }

}
